﻿*************************************************************************************
***Selbstversion für KINDL Adipositas-Modul
***KINDL_Kinderversion_Modul_Neurodermitis.

***Anmerkung:
*Höhere Werte spiegeln eine bessere gesundheitsbezogene Lebensqualität wieder.
*Item 1-12 werden zusammengefasst zu einer Skala 
(siehe Bullinger et al. (2006) Quality of life—evaluation criteria for children with chronic conditions in medical care).
*Item 13-15 werden als Zusatzinformationen gehandhabt, aber nicht in einer Skala erfasst.

*********Umpolung der Rohwerte.
*Negative gepolte Items.
RECODE c_neu_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_01. 
RECODE c_neu_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_02. 
RECODE c_neu_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_03. 
RECODE c_neu_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_04. 
RECODE c_neu_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_05. 
RECODE c_neu_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_06. 
RECODE c_neu_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_07. 
RECODE c_neu_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_08. 
RECODE c_neu_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_09. 
RECODE c_neu_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_10. 
RECODE c_neu_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_11. 
RECODE c_neu_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_13. 
RECODE c_neu_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_14. 
RECODE c_neu_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO C_XEU_15. 

*Positive gepolte Items.
RECODE c_neu_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO C_XEU_12. 

VARIABLE LABELS
C_XEU_01 '... fühlte sich mein Kind dick und unbeweglich.'
C_XEU_02 '... war mein Kind schnell außer Atem und ihm ging schnell die Puste aus.'
C_XEU_03 '... war mein Kind wegen seines Gewichts traurig und niedergeschlagen.'
C_XEU_04 '... war mein Kind von den vielen Versuchen dünner zu werden genervt.'
C_XEU_05 '... hat sich mein Kind wegen seines Gewichts geschämt.'
C_XEU_06 '... war mein Kind  wegen seines Gewichts mit sich selbst unzufrieden.'
C_XEU_07 '... habe ich mein Kind wegen seines Gewichts kritisiert.'
C_XEU_08 '... musste mein Kind zu Hause beim Essen auf sein Gewicht achten.'
C_XEU_09 '... wurde mein Kind wegen seines Gewichts von anderen geärgert.'
C_XEU_10 '... wurde mein Kind wegen seines Gewichts ausgeschlossen, wenn andere etwas zusammen machten.'
C_XEU_11 '... war mein Kind durch Gedanken ans Essen vom Unterricht abgelenkt.'
C_XEU_12 '... konnte mein Kind trotz seines Gewichts beim Sportunterricht gut mitmachen.'
C_XEU_13 'Wie häufig hat Ihr Kind in der letzten Woche Beschwerden wegen seines Überge-wichts (Adipositas) gehabt?'
C_XEU_14 'Wie stark waren seine Beschwerden wegen des Übergewichts in der letzten Woche?'
C_XEU_15 'Wie sehr hat Ihr Kind sein Übergewicht in der letzten Woche gestört?'.
EXECUTE.

VALUE LABELS
C_XEU_01 C_XEU_02 C_XEU_03 C_XEU_04 C_XEU_05 C_XEU_06 C_XEU_07 C_XEU_08 C_XEU_09 C_XEU_10 C_XEU_11 C_XEU_13
1 'immer'
2 'oft'
3 'manchmal'
4 'selten'
5 'nie'.
EXECUTE.

VALUE LABELS
C_XEU_14
1 'sehr stark'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar keine'.
EXECUTE.

VALUE LABELS
C_XEU_15
1 'sehr'
2 'ziemlich'
3 'mittelmäßig'
4 'etwas'
5 'gar nicht'.
EXECUTE.

VALUE LABELS
C_XEU_12
1 'nie'
2 'selten'
3 'manchmal'
4 'oft'
5 'immer'.
EXECUTE.

****Gesamtskala.
*Berechnung Summenscore.
COMPUTE neu_mean = mean.8(C_XEU_01, C_XEU_02, C_XEU_03, C_XEU_04, C_XEU_05, C_XEU_06, C_XEU_07, C_XEU_08, C_XEU_09, C_XEU_10, C_XEU_11, C_XEU_12).
EXECUTE.

COMPUTE neu_sum = neu_mean*12.
EXECUTE.

*Berechnung auf 100 trandsformierte Skala.
COMPUTE neu_100 = ((neu_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
neu_mean 'KINDL - Neurodermitis-Modul Mittelwert'
neu_sum 'KINDL - Neurodermitis-Modul Summe'
neu_100 'KINDL - Neurodermitis-Modul 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

